/*
--------------------------------------------------------------------------------
Examplefile to show usage of LawnMaker 1.2

This is a very simple example that works with blunt grassblades to create a
patch of english lawn (everything cut exactly to the same height.
--------------------------------------------------------------------------------
*/

#include "lawnmaker.inc"

#version 3.5;

global_settings {
  assumed_gamma 1.0
  max_trace_level 5
}
background { color rgb 1 }

// Only the necessary values are changed
#declare LawnStart = <-2, -2>;
#declare LawnStop  = < 2,  2>;
#declare LawnStepX = <0.03, 0.03>;
#declare LawnStepZ = <0.03, 0.03>;

#declare LawnHeight = pigment { rgb 1 }


//to save space below:
#declare h = <0.2,0.2,0.5>;

#declare T = 3;
#declare TypeGeometry = array[T] { Blunt3,     Blunt2,      Blunt1     }
#declare TypeWeight   = array[T] { 1,          1,           1          }
#declare TypeSize1    = array[T] { h,          h,           h          }
#declare TypeSize2    = array[T] { h,          h,           h          }
#declare TypeColMap   = array[T] { 0,          0,           0          }
#declare TypeTurn     = array[T] { <0, 360>,   <0, 360>,    <0, 360>   }
#declare TypeIncline  = array[T] { <0, 10>,    <0, 10>,     <0, 10>    }

// invoking LawnMaker and thus actually producing the grass
LawnMaker()


camera { location  <0.0, 5, -7> direction 1.5*z
  right x*image_width/image_height  look_at   <0.0, 0.9,  0.0>}

light_source {
  <-30, 30, -30>            
  color rgb <1, 1, 1>  
}

// floor with a little mound
union {
  plane {  y, 0 }
    texture { pigment { bozo
                        color_map { [0, color rgb <0.3,0.2,0>]
                                    [1, color rgb <0.25,0.05,0>] } }
              finish { diffuse 0.8  ambient 0.1 }
    }
}  
